%global commit 7db99d55af99871add0112cc696a11983b2f0605
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global prerelease 20131005 

Name:           lv2-x42-plugins
Version:        0.1.1
Release:        0.7.%{prerelease}git%{shortcommit}%{?dist}
Summary:        A number of LV2 plugins

Group:          Applications/Multimedia
# files in balance.lv2/pugl are ISC, the rest are GPLv2+
License:        GPLv2+ and ISC
URL:            https://github.com/x42/x42-plugins
# obtain source by sh lv2-x42-plugins-snapshot.sh %%{commit} %%{prerelease}
Source0:        lv2-x42-plugins-%{prerelease}-git%{commit}.tar.bz2 
Source1:        lv2-x42-plugins-snapshot.sh
BuildRequires:  lv2-devel
BuildRequires:  zita-convolver-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  fftw3-devel
BuildRequires:  gtk2-devel
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(ftgl)
BuildRequires:  ftgl-devel
BuildRequires:  gnu-free-sans-fonts
BuildRequires:  gnu-free-serif-fonts
BuildRequires:  gnu-free-mono-fonts
Requires:       lv2

%description
A number of lv2 plugins including stereo balance, midi filter, delay,
convolver and fader.

%prep
%setup -q -n %{name}-%{prerelease}
# correct FSF address - https://github.com/x42/balance.lv2/issues/1 
sed -i -e 's|Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.|Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.|' *2/*.[hc]*;
sed -i -e 's|-msse -msse2 -mfpmath=sse|%{optflags}|' */Makefile
sed -i -e 's|/usr/share/fonts/truetype/freefont/FreeSansBold.ttf|/usr/share/fonts/gnu-free/FreeSansBold.ttf|' balance.lv2/Makefile

%build
export FONTFILE="/usr/share/fonts/gnu-free/FreeSansBold.ttf"

export OPTIMIZATIONS="%{optflags}"
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
%{make_install} LIBDIR=%{_lib} PREFIX=%{_prefix}

%files
# all plugins share the same license
%doc balance.lv2/COPYING README.md
%{_libdir}/lv2/balance.lv2
%{_libdir}/lv2/convo.lv2
%{_libdir}/lv2/midifilter.lv2
%{_libdir}/lv2/nodelay.lv2
%{_libdir}/lv2/xfade.lv2
%{_libdir}/lv2/meters.lv2

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.7.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.1-0.6.20131005git7db99d5
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.5.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.4.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Oct 06 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.3.20131005git7db99d5
- Specify font and UI BR's

* Sat Oct 05 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.2.20131005git7db99d5
- New upstream commit, adds meters.lv2

* Sat Sep 14 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.1.20130615git7153e34
- Correct prelease release syntax
- Correct FSF address
- Use %%make_install macro

* Mon Sep 02 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-1
- Initial build

